 // Sélection de l'élément de tableau dans le HTML
var tables = document.getElementById("personnel");

// Création de l'objet DataTable avec les options de base et Ajax
$(tables).DataTable({ "dom": 'rt<"bottom"ip><"clear">',
    "language": {
      "info": "Showing _START_ to _END_ of _TOTAL_ entries"
    },
  ajax: {
    url: "assets/data/json_list_per.php", // Chemin du fichier JSON à utiliser
    type: "GET"
  },    responsive: true, // Rendre le tableau responsive 
 
         order: [0, 'asc'],
        columns: [  {
          data: 'name',
          className: 'align-middle'
        } ],
        columnDefs: [  {
          targets: 0,
          render: function render(data, type, row, meta) { 
           return "<a href='' onclick=\"users('".concat(row.cin, "','").concat(row.Name,"')\" >").concat(row.Name,"</a>") ;
          }
        }]
  
});
$(document).ready(function() {
    var table = $(tables).DataTable(); 
    // Appliquer la recherche personnalisÃ©e
    $('#find_per').on('keyup', function() {
      table.search(this.value).draw();
    });
  });
 
function users(cin,name){
	 event.preventDefault(); 
	 const myname=document.getElementById('name_user');
	 document.getElementById("btn").disabled = false;

	 myname.classList.remove("is-valid");
      myname.classList.add("is-valid");
	 myname.value = name;
	 document.getElementById('cin').value = cin;
	 document.getElementById('id').value ="";
	 document.getElementById('login').value ="";
	 document.getElementById('pass').value = "";
     document.getElementById('conf-pass').value = "";
	fetch('assets/data/json_user.php?cin='+cin)
        .then(function(response) { 
          return response.json();
        })
        .then(function(data1) {   		
		  document.getElementById('id').value = data1[0]['id'];
		  document.getElementById('login').value = data1[0]['login']; 
          document.getElementById('role_id').value = data1[0]['role_id'];
		  if(data1[0]['etat']=="Actif")
          document.getElementById('etat_user').checked = true;
		  else
          document.getElementById('etat_user').checked = false;	
		  
		  
        })
        .catch(function(err) {
          console.log('Erreur: ' + err.message);
        });
	
}

function Sauvegarder(){  
  var cin = document.getElementById('cin').value;
  var id = document.getElementById('id').value;
  var login = document.getElementById('login').value;
  var pass = document.getElementById('pass').value;
  var conf_pass = document.getElementById('conf-pass').value;  
  var role_id = document.getElementById('role_id').value; 
  var etat_user = document.getElementById('etat_user').checked;
   if ((pass === conf_pass)&&(pass.trim()!=="")) {
  if(cin.trim()!=""){ 
  if(login.trim()!=""){
      if(role_id.trim()!="-1"){  
        var xhttp = new XMLHttpRequest();
        var formData = new FormData();
        formData.append("id", id); // Ajoute le fichier à l'objet FormData
        formData.append("cin", cin);
        formData.append("login", login);
        formData.append("pass", pass);
        formData.append("role_id", role_id);
        formData.append("etat_user", etat_user);
  
        xhttp.open("POST", "assets/data/add_users.php", true);
        xhttp.onreadystatechange = function() {  
          if (this.readyState == 4 && this.status == 200) {  
            if(this.responseText.trim()==="success") {
              alert_success();
document.getElementById('id').value ="";
	 document.getElementById('login').value ="";
	 document.getElementById('pass').value = "";
     document.getElementById('conf-pass').value = ""; 
            } else {  
              alert_msg("L'ajout d'un nouveau utilisateur a échoué","warning");
            }
          }
        };  
        xhttp.send(formData); // Envoie les données avec la méthode send()
      } else { 
        alert_msg("Choisir une role","warning"); 
      }
     
  } else { 
    alert_msg("Ajoutez un LOGIN valide","warning");
  }} else { 
    alert_msg("Choisir un personnel","warning");
  }
   }else { 
    alert_msg("La confirmation de mot de passe est incorrecte","warning");
  }
}